package com.yihu.hos.rest.models.crawler.flow;

import java.io.Serializable;

/**
 * 标准基本信息
 *
 * @created Airhead 2015/12/23.
 */


public class CrawlerFlowHeadKey implements Serializable {

    private Long schemeVersionId;

    private String datasetCode;

    private String metadataCode;

    public Long getSchemeVersionId() {
        return schemeVersionId;
    }

    public void setSchemeVersionId(Long schemeVersionId) {
        this.schemeVersionId = schemeVersionId;
    }

    public String getDatasetCode() {
        return datasetCode;
    }

    public void setDatasetCode(String datasetCode) {
        this.datasetCode = datasetCode;
    }

    public String getMetadataCode() {
        return metadataCode;
    }

    public void setMetadataCode(String metadataCode) {
        this.metadataCode = metadataCode;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof CrawlerFlowHeadKey)) return false;

        CrawlerFlowHeadKey that = (CrawlerFlowHeadKey) o;

        if (getSchemeVersionId() != null ? !getSchemeVersionId().equals(that.getSchemeVersionId()) : that.getSchemeVersionId() != null)
            return false;
        if (getDatasetCode() != null ? !getDatasetCode().equals(that.getDatasetCode()) : that.getDatasetCode() != null)
            return false;
        return getMetadataCode() != null ? getMetadataCode().equals(that.getMetadataCode()) : that.getMetadataCode() == null;
    }

    @Override
    public int hashCode() {
        int result = getSchemeVersionId() != null ? getSchemeVersionId().hashCode() : 0;
        result = 31 * result + (getDatasetCode() != null ? getDatasetCode().hashCode() : 0);
        result = 31 * result + (getMetadataCode() != null ? getMetadataCode().hashCode() : 0);
        return result;
    }
}
