package com.yihu.hos.rest.models.crawler.flow;

import com.yihu.hos.web.framework.model.Result;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 标准基本信息
 *
 * @created Airhead 2015/12/23.
 */

@Entity
@Table(name = "crawler_flow_head")
@IdClass(CrawlerFlowHeadKey.class)
public class CrawlerFlowHeadModel extends Result implements Serializable {

    @Id
    @Column(name="scheme_version_id")
    private Long schemeVersionId;

    @Id
    @Column(name="dataset_code")
    private String datasetCode;

    @Id
    @Column(name="metadata_code")
    private String metadataCode;

    @Column(name="identity_code")
    private String identityCode;

    public Long getSchemeVersionId() {
        return schemeVersionId;
    }

    public void setSchemeVersionId(Long schemeVersionId) {
        this.schemeVersionId = schemeVersionId;
    }

    public String getDatasetCode() {
        return datasetCode;
    }

    public void setDatasetCode(String datasetCode) {
        this.datasetCode = datasetCode;
    }

    public String getMetadataCode() {
        return metadataCode;
    }

    public void setMetadataCode(String metadataCode) {
        this.metadataCode = metadataCode;
    }

    public String getIdentityCode() {
        return identityCode;
    }

    public void setIdentityCode(String identityCode) {
        this.identityCode = identityCode;
    }
}
