package com.yihu.hos.rest.models.crawler.qc;

import java.util.ArrayList;
import java.util.List;

/**
 * 质控-日报
 *
 * @author HZY
 * @vsrsion 1.0
 * Created at 2017/6/1.
 */
public class QcDaily {
    private String org_code;
    private String create_date;
    private String inner_version;
    private Integer total_outpatient_num;
    private Integer real_outpatient_num;
    private Integer total_hospital_num;
    private Integer real_hospital_num;
    private List<QcPatientIndex> total_outpatient = new ArrayList<>();
    private List<QcPatientIndex> real_outpatient = new ArrayList<>();
    private List<QcPatientIndex> total_hospital = new ArrayList<>();
    private List<QcPatientIndex> real_hospital = new ArrayList<>();
    ;


    public void addTotal(QcPatientIndex patientIndex, String dataSet) {
        if ("HDSC01_02".equals(dataSet)) {
            this.total_outpatient.add(patientIndex);
        } else if ("HDSC02_09".equals(dataSet)) {
            this.total_hospital.add(patientIndex);
        } else {
            return;
        }
    }


    public void addReal(QcPatientIndex patientIndex, String dataSet) {
        if ("HDSC01_02".equals(dataSet)) {//门诊
            this.real_outpatient.add(patientIndex);
        } else if ("HDSC02_09".equals(dataSet)) {//住院
            this.real_hospital.add(patientIndex);
        } else {
            return;
        }
    }

    public String getOrg_code() {
        return org_code;
    }

    public void setOrg_code(String org_code) {
        this.org_code = org_code;
    }

    public String getCreate_date() {
        return create_date;
    }

    public void setCreate_date(String create_date) {
        this.create_date = create_date;
    }

    public String getInner_version() {
        return inner_version;
    }

    public void setInner_version(String inner_version) {
        this.inner_version = inner_version;
    }

    public Integer getTotal_outpatient_num() {
        return total_outpatient_num;
    }

    public void setTotal_outpatient_num(Integer total_outpatient_num) {
        this.total_outpatient_num = total_outpatient_num;
    }

    public Integer getReal_outpatient_num() {
        return real_outpatient_num;
    }

    public void setReal_outpatient_num(Integer real_outpatient_num) {
        this.real_outpatient_num = real_outpatient_num;
    }

    public Integer getTotal_hospital_num() {
        return total_hospital_num;
    }

    public void setTotal_hospital_num(Integer total_hospital_num) {
        this.total_hospital_num = total_hospital_num;
    }

    public Integer getReal_hospital_num() {
        return real_hospital_num;
    }

    public void setReal_hospital_num(Integer real_hospital_num) {
        this.real_hospital_num = real_hospital_num;
    }

    public List<QcPatientIndex> getTotal_outpatient() {
        return total_outpatient;
    }

    public void setTotal_outpatient(List<QcPatientIndex> total_outpatient) {
        this.total_outpatient = total_outpatient;
    }

    public List<QcPatientIndex> getReal_outpatient() {
        return real_outpatient;
    }

    public void setReal_outpatient(List<QcPatientIndex> real_outpatient) {
        this.real_outpatient = real_outpatient;
    }

    public List<QcPatientIndex> getTotal_hospital() {
        return total_hospital;
    }

    public void setTotal_hospital(List<QcPatientIndex> total_hospital) {
        this.total_hospital = total_hospital;
    }

    public List<QcPatientIndex> getReal_hospital() {
        return real_hospital;
    }

    public void setReal_hospital(List<QcPatientIndex> real_hospital) {
        this.real_hospital = real_hospital;
    }


}
