package com.yihu.hos.rest.models.crawler.flow;

import com.yihu.hos.web.framework.model.Result;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 任务编排-数据集关系
 *
 * @created HZY 2016/4/27.
 */

@Entity
@Table(name = "crawler_dataset")
@IdClass(CrawlerDataSetKey.class)
public class CrawlerDataSetModel extends Result implements Serializable {
    @Id
    @Column(name="scheme_id")
    private Long schemeId;

    @Id
    @Column(name="scheme_version_id")
    private Long schemeVersionId;

    @Id
    @Column(name="dataset_id")
    private Long datasetId;

    @Column(name="dataset_code")
    private String datasetCode;

    @Column(name="dataset_name")
    private String datasetName;

    public Long getSchemeId() {
        return schemeId;
    }

    public void setSchemeId(Long schemeId) {
        this.schemeId = schemeId;
    }

    public Long getSchemeVersionId() {
        return schemeVersionId;
    }

    public void setSchemeVersionId(Long schemeVersionId) {
        this.schemeVersionId = schemeVersionId;
    }

    public Long getDatasetId() {
        return datasetId;
    }

    public void setDatasetId(Long datasetId) {
        this.datasetId = datasetId;
    }

    public String getDatasetCode() {
        return datasetCode;
    }

    public void setDatasetCode(String datasetCode) {
        this.datasetCode = datasetCode;
    }

    public String getDatasetName() {
        return datasetName;
    }

    public void setDatasetName(String datasetName) {
        this.datasetName = datasetName;
    }
}
