package com.yihu.hos.rest.services.crawler;


import com.yihu.hos.rest.models.crawler.qc.QcRuleModel;
import com.yihu.hos.web.framework.dao.SQLGeneralDAO;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("QcRuleService")
public class QcRuleService extends SQLGeneralDAO {

    public static final String BEAN_ID = "QcRuleService";

    public QcRuleService() {
    }

    public void finalize() throws Throwable {
        super.finalize();
    }

    public String getRuleNames() throws Exception {
        StringBuilder stringBuilder =new StringBuilder();
        String hql = "from QcRuleModel";
        List<QcRuleModel> rules = super.getEntityList(QcRuleModel.class,hql);
        if (rules!=null && rules.size()>0){
            for (QcRuleModel rule:rules){
                stringBuilder.append(rule.getRule()).append(",");
            }
        }
        String names= stringBuilder.toString();
        return names.substring(0,names.lastIndexOf(",") );
    }


}